# Uses of Interface
org.apache.qpid.proton.engine.Collector

Packages that use Collector
Package
Description
org.apache.qpid.proton
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl
org.apache.qpid.proton.reactor
org.apache.qpid.proton.reactor.impl

## Uses of Collector in org.apache.qpid.proton

Methods in org.apache.qpid.proton that return Collector
Modifier and Type
Method
Description
`static Collector`
Proton.`collector()`

## Uses of Collector in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return Collector
Modifier and Type
Method
Description
`static Collector`
Engine.`collector()`
`static Collector`
Collector.Factory.`create()`
Methods in org.apache.qpid.proton.engine with parameters of type Collector
Modifier and Type
Method
Description
`void`
Connection.`collect(Collector collector)`

## Uses of Collector in org.apache.qpid.proton.engine.impl

Classes in org.apache.qpid.proton.engine.impl that implement Collector
Modifier and Type
Class
Description
`class`
`CollectorImpl`
CollectorImpl
Methods in org.apache.qpid.proton.engine.impl with parameters of type Collector
Modifier and Type
Method
Description
`void`
ConnectionImpl.`collect(Collector collector)`

## Uses of Collector in org.apache.qpid.proton.reactor

Methods in org.apache.qpid.proton.reactor that return Collector
Modifier and Type
Method
Description
`Collector`
Reactor.`collector()`
Methods in org.apache.qpid.proton.reactor with parameters of type Collector
Modifier and Type
Method
Description
`void`
Selectable.`setCollector(Collector collector)`
Configure a selectable with a set of callbacks that emit readable, writable, and expired events into the supplied collector.

## Uses of Collector in org.apache.qpid.proton.reactor.impl

Methods in org.apache.qpid.proton.reactor.impl that return Collector
Modifier and Type
Method
Description
`Collector`
ReactorImpl.`collector()`
Methods in org.apache.qpid.proton.reactor.impl with parameters of type Collector
Modifier and Type
Method
Description
`void`
SelectableImpl.`setCollector(Collector collector)`
Constructors in org.apache.qpid.proton.reactor.impl with parameters of type Collector
Modifier
Constructor
Description
``
`Timer(Collector collector)`